grk::IBitIO Class Referenceabstract

Bit input/output. More...

`#include <IBitIO.h>`

Inheritance diagram for grk::IBitIO:

## Public Member Functions

virtual | ~IBitIO ()
virtual size_t | numBytes ()=0
| Number of bytes written.
virtual bool | write (uint32_t v, uint32_t n)=0
| Write bits.
virtual bool | write (uint32_t v)=0
virtual void | read (uint32_t *bits, uint8_t n)=0
| Read bits.
virtual uint8_t | read (void)=0
| Read bit.
virtual bool | flush ()=0
| Flush bits.
virtual void | inalign ()=0
| Passes the ending bits (coming from flushing)

## Detailed Description

Bit input/output.

## Constructor & Destructor Documentation

## ~IBitIO()

virtual grk::IBitIO::~IBitIO | ( |  | ) |

inline virtual

## Member Function Documentation

## flush()

virtual bool grk::IBitIO::flush | ( |  | ) |

pure virtual

Flush bits.

Returns
  true if successful, returns false otherwise

Implemented in grk::BitIO.

## inalign()

virtual void grk::IBitIO::inalign | ( |  | ) |

pure virtual

Passes the ending bits (coming from flushing)

Implemented in grk::BitIO.

## numBytes()

virtual size_t grk::IBitIO::numBytes | ( |  | ) |

pure virtual

Number of bytes written.

Returns
  the number of bytes written

Implemented in grk::BitIO.

## read() [1/2]

virtual void grk::IBitIO::read | ( | uint32_t * | bits,
|  | uint8_t | n
| ) |  |

pure virtual

Read bits.

Parameters

  bits | pointer to bits buffer
  n | Number of bits to read

Implemented in grk::BitIO.

## read() [2/2]

virtual uint8_t grk::IBitIO::read | ( | void |  | ) |

pure virtual

Read bit.

Parameters

  bits | pointer to bits buffer

Implemented in grk::BitIO.

## write() [1/2]

virtual bool grk::IBitIO::write | ( | uint32_t | v | ) |

pure virtual

Implemented in grk::BitIO.

## write() [2/2]

virtual bool grk::IBitIO::write | ( | uint32_t | v,
|  | uint32_t | n
| ) |  |

pure virtual

Write bits.

Parameters

  v | Value of bits
  n | Number of bits to write

Implemented in grk::BitIO.

The documentation for this class was generated from the following file:

- IBitIO.h